Bug 253777 - SPDIF output for AD1988b chipset doesn't work correctly with non-AC3 content
Summary: SPDIF output for AD1988b chipset doesn't work correctly with non-AC3 content
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-21 20:55 UTC by Timo-Pekka Viljamaa
Modified: 2008-01-11 17:44 UTC (History)
1 user (show)

Fixed In Version: 2.6.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:44:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Timo-Pekka Viljamaa 2007-08-21 20:55:14 UTC
Description of problem:

SPDIF output for AD1988b chipset doesn't work correctly with non-AC3 content.
The sound is played, but it has distortions. There's already a patch in
alsa-kernel to fix this problem:
http://hg-mirror.alsa-project.org/alsa-kernel/rev/43059389c583
http://mailman.alsa-project.org/pipermail/alsa-devel/2007-July/002213.html

Version-Release number of selected component (if applicable):


How reproducible:
A motherboard with AD1988b sound chipset is needed, for example Asus P5B-E

Steps to Reproduce:
1. aplay -D spdif some.wav
  
Actual results:
The wav file is played, but the sound has distortions. If the wav is played
through non-SPDIF connection everything is ok.

Expected results:
The wav file would be played similarly through both SPDIF and non-SPDIF
connection without any distorsions.

Additional info:

Comment 1 Chuck Ebbert 2007-09-07 13:30:21 UTC
kernel-2.6.22.5-76.fc7 is in the updates-testing repository with a fix for this bug.



Comment 2 Timo-Pekka Viljamaa 2007-11-20 17:51:33 UTC
This bug re-occurred with kernel-2.6.23.1-21.fc7 using alsa-lib 1.0.14-3.fc7. I
also tried with alsa-lib 1.0.15-1.fc9, but it doesn't work either.
kernel-2.6.22.9-91.fc7 works ok.

Comment 3 Chuck Ebbert 2007-11-27 19:17:47 UTC
Patch was dropped during update to 2.6.23. Re-added.


Comment 4 Christopher Brown 2008-01-11 17:44:41 UTC
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

Given that the patch was confirmed working before and has been re-added with no
additional comment from the reporter I am closing this CURRENTRELEASE. Please do
not hesitate to re-open if it is still an issue for you. Thank you for filing
the bug.


Note You need to log in before you can comment on or make changes to this bug.